Package com.collibra.dgc.core.api.dto.usergroup

# Class RemoveUsersFromUserGroupRequest

Object
RemoveUsersFromUserGroupRequest

All Implemented Interfaces:
  `Serializable`

public class RemoveUsersFromUserGroupRequest extends Object implements Serializable
The properties needed to remove the users from given user group.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `RemoveUsersFromUserGroupRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoveUsersFromUserGroupRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RemoveUsersFromUserGroupRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getUserGroupId()`
  Required. The ID of the user groups from which the users should be removed.
  `List<UUID>`
  `getUserIds()`
  Required. The list of IDs of the users which should be removed from the user group.
  `int`
  `hashCode()`
  `void`
  `setUserGroupId(UUID userGroupId)`
  Required. The ID of the user groups from which the users should be removed.
  `void`
  `setUserIds(List<UUID> userIds)`
  Required. The list of IDs of the users which should be removed from the user group.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoveUsersFromUserGroupRequest

    public RemoveUsersFromUserGroupRequest()

- ## Method Details

  - ### builder

    public static RemoveUsersFromUserGroupRequest.Builder builder()

  - ### getUserGroupId

    public UUID getUserGroupId()
    Required. The ID of the user groups from which the users should be removed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getUserIds

    public List<UUID> getUserIds()
    Required. The list of IDs of the users which should be removed from the user group.

  - ### setUserGroupId

    public void setUserGroupId(UUID userGroupId)
    Required. The ID of the user groups from which the users should be removed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setUserIds

    public void setUserIds(List<UUID> userIds)
    Required. The list of IDs of the users which should be removed from the user group.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`